Bug 105683 - [CI] igt@kms_frontbuffer_tracking@* - fail - FBC disabled: CFB requirements changed
Summary: [CI] igt@kms_frontbuffer_tracking@* - fail - FBC disabled: CFB requirements c...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Jose Roberto de Souza
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-22 08:13 UTC by Marta Löfstedt
Modified: 2019-04-03 20:01 UTC (History)
2 users (show)

See Also:
i915 platform: ALL
i915 features: display/FBC


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2018-03-22 08:13:03 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_5/fi-cfl-s2/igt@kms_frontbuffer_tracking@fbc-stridechange.html

(kms_frontbuffer_tracking:1713) WARNING: fbc_is_enabled()?
FBC disabled: CFB requirements changed
(kms_frontbuffer_tracking:1713) CRITICAL: Test assertion failure function do_status_assertions, file ../tests/kms_frontbuffer_tracking.c:1748:
(kms_frontbuffer_tracking:1713) CRITICAL: Failed assertion: fbc_is_enabled(IGT_LOG_WARN)
(kms_frontbuffer_tracking:1713) CRITICAL: FBC disabled
Subtest fbc-stridechange failed.
Comment 1 Marta Löfstedt 2018-03-22 08:27:23 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_5/fi-skl-6600u/igt@kms_frontbuffer_tracking@fbc-stridechange.html

(kms_frontbuffer_tracking:1531) WARNING: fbc_is_enabled()?
FBC disabled: CFB requirements changed
(kms_frontbuffer_tracking:1531) CRITICAL: Test assertion failure function do_status_assertions, file ../tests/kms_frontbuffer_tracking.c:1748:
(kms_frontbuffer_tracking:1531) CRITICAL: Failed assertion: fbc_is_enabled(IGT_LOG_WARN)
(kms_frontbuffer_tracking:1531) CRITICAL: FBC disabled
Subtest fbc-stridechange failed.
Comment 2 Marta Löfstedt 2018-03-26 12:32:01 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-skl-6600u/igt@kms_frontbuffer_tracking@fbcpsr-stridechange.html
	

(kms_frontbuffer_tracking:1657) WARNING: fbc_is_enabled()?
FBC disabled: CFB requirements changed
(kms_frontbuffer_tracking:1657) CRITICAL: Test assertion failure function do_status_assertions, file ../tests/kms_frontbuffer_tracking.c:1747:
(kms_frontbuffer_tracking:1657) CRITICAL: Failed assertion: fbc_is_enabled(IGT_LOG_WARN)
(kms_frontbuffer_tracking:1657) CRITICAL: FBC disabled
Subtest fbcpsr-stridechange failed.
Comment 3 Marta Löfstedt 2018-03-27 09:43:27 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-cfl-s3/igt@kms_frontbuffer_tracking@fbcpsr-stridechange.html
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-cfl-s3/igt@kms_frontbuffer_tracking@fbc-stridechange.html

(kms_frontbuffer_tracking:1789) WARNING: fbc_is_enabled()?
FBC disabled: CFB requirements changed
(kms_frontbuffer_tracking:1789) CRITICAL: Test assertion failure function do_status_assertions, file ../tests/kms_frontbuffer_tracking.c:1747:
(kms_frontbuffer_tracking:1789) CRITICAL: Failed assertion: fbc_is_enabled(IGT_LOG_WARN)
(kms_frontbuffer_tracking:1789) CRITICAL: FBC disabled
Subtest fbcpsr-stridechange failed.
Comment 4 Marta Löfstedt 2018-04-12 10:08:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_17/fi-cfl-u/igt@kms_frontbuffer_tracking@fbcpsr-stridechange.html

(kms_frontbuffer_tracking:3025) WARNING: fbc_is_enabled()?
FBC disabled: CFB requirements changed
(kms_frontbuffer_tracking:3025) CRITICAL: Test assertion failure function do_status_assertions, file ../tests/kms_frontbuffer_tracking.c:1739:
(kms_frontbuffer_tracking:3025) CRITICAL: Failed assertion: fbc_is_enabled(IGT_LOG_WARN)
(kms_frontbuffer_tracking:3025) CRITICAL: FBC disabled
Subtest fbcpsr-stridechange failed.
Comment 6 Jose Roberto de Souza 2018-06-21 00:10:59 UTC
Patch fixing it submitted to list https://patchwork.freedesktop.org/series/45129/
Comment 7 James Ausmus 2018-08-21 15:28:38 UTC
Any news on this?
Comment 8 James Ausmus 2018-12-07 16:28:07 UTC
Jose - can you follow up on the second of the two patches that fix this issue? Looks like it ended up sitting on the ML without attention, even though the first of the two got reviewed and merged
Comment 9 Jose Roberto de Souza 2018-12-10 15:01:59 UTC
Yes, I was checking my pending patches and I just sent that one because it was pretty simple, I plan to send the other one after test other approach.
Comment 10 James Ausmus 2019-02-27 20:58:59 UTC
Any update on the second patch?
Comment 11 Jose Roberto de Souza 2019-03-28 23:00:14 UTC
New patch series sent fixing this https://patchwork.freedesktop.org/series/58701/
Comment 12 Daniel Vetter 2019-04-02 07:20:50 UTC
For review I think one of the frontbuffer/fbc/psr experts would be best.
Comment 13 Jose Roberto de Souza 2019-04-03 20:01:07 UTC
Patches merged


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.